> ## Documentation Index
> Fetch the complete documentation index at: https://docs.millis.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Call History



## OpenAPI

````yaml get /call-logs/{session_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api-west.millis.ai
    description: US Region API Gateway
  - url: https://api-eu-west.millis.ai
    description: EU Region API Gateway
security: []
paths:
  /call-logs/{session_id}:
    get:
      tags:
        - Call Logs
      summary: Get Call History
      operationId: get_call_history_call_logs__session_id__get
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            type: string
            title: Session Id
        - name: authorization
          in: header
          required: true
          schema:
            type: string
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/fast_api_data__history__CallHistory'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    fast_api_data__history__CallHistory:
      properties:
        agent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Id
        agent_config:
          anyOf:
            - type: object
            - type: 'null'
          title: Agent Config
        duration:
          anyOf:
            - type: number
            - type: 'null'
          title: Duration
        ts:
          anyOf:
            - type: number
            - type: 'null'
          title: Ts
        chat:
          anyOf:
            - type: string
            - type: 'null'
          title: Chat
        chars_used:
          anyOf:
            - type: integer
            - type: 'null'
          title: Chars Used
        session_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Session Id
        call_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Call Id
        cost_breakdown:
          anyOf:
            - items:
                type: object
              type: array
            - type: 'null'
          title: Cost Breakdown
        voip:
          anyOf:
            - type: object
            - type: 'null'
          title: Voip
        recording:
          anyOf:
            - type: object
            - type: 'null'
          title: Recording
        metadata:
          anyOf:
            - type: object
            - type: 'null'
          title: Metadata
        function_calls:
          anyOf:
            - items:
                type: object
              type: array
            - type: 'null'
          title: Function Calls
        call_status:
          anyOf:
            - $ref: '#/components/schemas/fast_api_data__data__CallStatus'
            - type: 'null'
      type: object
      title: CallHistory
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    fast_api_data__data__CallStatus:
      type: string
      enum:
        - registered
        - queued
        - dispatching
        - provider_queued
        - initiated
        - ringing
        - in-progress
        - user-ended
        - agent-ended
        - api-ended
        - voicemail-hangup
        - voicemail-message
        - timeout
        - canceled
        - busy
        - no-answer
        - failed
        - error
        - unknown
        - chat_completion
      title: CallStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````